Debian Bug report logs - #230948
subversion: svn-make-config.c missing?

version graph

Package: subversion; Maintainer for subversion is Peter Samuelson <peter@p12n.org>; Source for subversion is src:subversion.

Reported by: Colin Watson <cjwatson@debian.org>

Date: Tue, 3 Feb 2004 15:33:05 UTC

Severity: important

Found in version 0.37.0-1

Fixed in version subversion/0.37.0-2

Done: David Kimdon <dwhedon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
New Bug report received and forwarded. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: submit@bugs.debian.org
Subject: subversion: svn-make-config.c missing?
Date: Tue, 3 Feb 2004 15:29:56 +0000
Package: subversion
Version: 0.37.0-1
Severity: important

(I think this is probably serious, but none of the buildds have tried it
yet since they're stuck waiting for swig.)

debian/tools/svn-make-config.c is missing, so the build on woody fails
as follows:

  # Create our default configuration files to be installed in
  # /etc/subversion/
  /usr/bin/make -C debian/tools
  make[1]: Entering directory `/home/cjwatson/src/apt-src/subversion-0.37.0/debian/tools'
  rm -f svn-make-config svn-make-config.o
  rm -rf svn-defaults
  make[1]: *** No rule to make target `svn-make-config.o', needed by `svn-make-config'.  Stop.
  make[1]: Leaving directory `/home/cjwatson/src/apt-src/subversion-0.37.0/debian/tools'
  make: *** [install] Error 2

Thanks,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Tags added: pending Request was from David Kimdon <dwhedon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to David Kimdon <david@kimdon.org>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #12 received at 230948@bugs.debian.org (full text, mbox):

From: David Kimdon <david@kimdon.org>
To: Colin Watson <cjwatson@debian.org>, 230948@bugs.debian.org
Subject: Re: Bug#230948: subversion: svn-make-config.c missing?
Date: Tue, 3 Feb 2004 19:52:47 +0100
Thanks for the report, fixed in -2.

-David

On Tue, Feb 03, 2004 at 03:29:56PM +0000, Colin Watson wrote:
> Package: subversion
> Version: 0.37.0-1
> Severity: important
> 
> (I think this is probably serious, but none of the buildds have tried it
> yet since they're stuck waiting for swig.)
> 
> debian/tools/svn-make-config.c is missing, so the build on woody fails
> as follows:
> 
>   # Create our default configuration files to be installed in
>   # /etc/subversion/
>   /usr/bin/make -C debian/tools
>   make[1]: Entering directory `/home/cjwatson/src/apt-src/subversion-0.37.0/debian/tools'
>   rm -f svn-make-config svn-make-config.o
>   rm -rf svn-defaults
>   make[1]: *** No rule to make target `svn-make-config.o', needed by `svn-make-config'.  Stop.
>   make[1]: Leaving directory `/home/cjwatson/src/apt-src/subversion-0.37.0/debian/tools'
>   make: *** [install] Error 2
> 
> Thanks,
> 
> -- 
> Colin Watson                                  [cjwatson@flatline.org.uk]
> 
> 



Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #17 received at 230948@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: David Kimdon <david@kimdon.org>
Cc: 230948@bugs.debian.org
Subject: Re: Bug#230948: subversion: svn-make-config.c missing?
Date: Thu, 5 Feb 2004 12:39:34 +0000
On Tue, Feb 03, 2004 at 07:52:47PM +0100, David Kimdon wrote:
> Thanks for the report, fixed in -2.

Great, thanks.

Is svn-make-config.c the same as in earlier packages? If so, I could do
the backport now rather than waiting, and update to -2 as and when ...

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to David Kimdon <david@kimdon.org>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #22 received at 230948@bugs.debian.org (full text, mbox):

From: David Kimdon <david@kimdon.org>
To: Colin Watson <cjwatson@debian.org>
Cc: 230948@bugs.debian.org
Subject: Re: Bug#230948: subversion: svn-make-config.c missing?
Date: Thu, 5 Feb 2004 20:06:29 +0100
[Message part 1 (text/plain, inline)]
On Thu, Feb 05, 2004 at 12:39:34PM +0000, Colin Watson wrote:
> On Tue, Feb 03, 2004 at 07:52:47PM +0100, David Kimdon wrote:
> > Thanks for the report, fixed in -2.
> 
> Great, thanks.
> 
> Is svn-make-config.c the same as in earlier packages? If so, I could do
> the backport now rather than waiting, and update to -2 as and when ...

That sounds good.  The file is attached, though I think it is also the
same as in earlier versions.

-David
[svn-make-config.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #27 received at 230948@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: David Kimdon <david@kimdon.org>
Cc: 230948@bugs.debian.org
Subject: Re: Bug#230948: subversion: svn-make-config.c missing?
Date: Thu, 5 Feb 2004 20:01:36 +0000
On Thu, Feb 05, 2004 at 08:06:29PM +0100, David Kimdon wrote:
> On Thu, Feb 05, 2004 at 12:39:34PM +0000, Colin Watson wrote:
> > On Tue, Feb 03, 2004 at 07:52:47PM +0100, David Kimdon wrote:
> > > Thanks for the report, fixed in -2.
> > 
> > Great, thanks.
> > 
> > Is svn-make-config.c the same as in earlier packages? If so, I could do
> > the backport now rather than waiting, and update to -2 as and when ...
> 
> That sounds good.  The file is attached, though I think it is also the
> same as in earlier versions.

OK, that got a bit further, thanks. However:

install -m 0644 \
        debian/etc/50psvn.el \
        debian/etc/50vc-svn.el \
        debian/subversion/etc/emacs/site-start.d/
install: cannot stat `debian/etc/50psvn.el': No such file or directory
install: cannot stat `debian/etc/50vc-svn.el': No such file or directory
make: *** [install] Error 1
debuild: fatal error at line 456:
dpkg-buildpackage failed!

Looks like a couple more files are missing from the Debian diff.

Cheers,

-- 
Colin Watson                                  [cjwatson@flatline.org.uk]



Information forwarded to debian-bugs-dist@lists.debian.org, David Kimdon <dwhedon@debian.org>:
Bug#230948; Package subversion. Full text and rfc822 format available.

Acknowledgement sent to David Kimdon <david@kimdon.org>:
Extra info received and forwarded to list. Copy sent to David Kimdon <dwhedon@debian.org>. Full text and rfc822 format available.

Message #32 received at 230948@bugs.debian.org (full text, mbox):

From: David Kimdon <david@kimdon.org>
To: Colin Watson <cjwatson@debian.org>, 230948@bugs.debian.org
Cc: David Kimdon <david@kimdon.org>
Subject: Re: Bug#230948: subversion: svn-make-config.c missing?
Date: Thu, 5 Feb 2004 22:32:37 +0100
On Thu, Feb 05, 2004 at 08:01:36PM +0000, Colin Watson wrote:
> On Thu, Feb 05, 2004 at 08:06:29PM +0100, David Kimdon wrote:
> > On Thu, Feb 05, 2004 at 12:39:34PM +0000, Colin Watson wrote:
> > > On Tue, Feb 03, 2004 at 07:52:47PM +0100, David Kimdon wrote:
> > > > Thanks for the report, fixed in -2.
> > > 
> > > Great, thanks.
> > > 
> > > Is svn-make-config.c the same as in earlier packages? If so, I could do
> > > the backport now rather than waiting, and update to -2 as and when ...
> > 
> > That sounds good.  The file is attached, though I think it is also the
> > same as in earlier versions.
> 
> OK, that got a bit further, thanks. However:

hmm, I'm going to build -2 here to catch the rest of these problems and then will
upload it.  This will give the autobuilders another chance, though the
swig problem doesn't appear to be resolved, I'm not sure what to do
about it . . . 

-David



Reply sent to David Kimdon <dwhedon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Colin Watson <cjwatson@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 230948-close@bugs.debian.org (full text, mbox):

From: David Kimdon <dwhedon@debian.org>
To: 230948-close@bugs.debian.org
Subject: Bug#230948: fixed in subversion 0.37.0-2
Date: Fri, 06 Feb 2004 14:32:04 -0500
Source: subversion
Source-Version: 0.37.0-2

We believe that the bug you reported is fixed in the latest version of
subversion, which is due to be installed in the Debian FTP archive:

libapache2-svn_0.37.0-2_i386.deb
  to pool/main/s/subversion/libapache2-svn_0.37.0-2_i386.deb
libsvn0-dev_0.37.0-2_i386.deb
  to pool/main/s/subversion/libsvn0-dev_0.37.0-2_i386.deb
libsvn0_0.37.0-2_i386.deb
  to pool/main/s/subversion/libsvn0_0.37.0-2_i386.deb
python2.3-subversion_0.37.0-2_i386.deb
  to pool/main/s/subversion/python2.3-subversion_0.37.0-2_i386.deb
subversion-tools_0.37.0-2_all.deb
  to pool/main/s/subversion/subversion-tools_0.37.0-2_all.deb
subversion_0.37.0-2.diff.gz
  to pool/main/s/subversion/subversion_0.37.0-2.diff.gz
subversion_0.37.0-2.dsc
  to pool/main/s/subversion/subversion_0.37.0-2.dsc
subversion_0.37.0-2_i386.deb
  to pool/main/s/subversion/subversion_0.37.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 230948@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Kimdon <dwhedon@debian.org> (supplier of updated subversion package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  2 Feb 2004 19:56:12 +0100
Source: subversion
Binary: libapache2-svn libsvn0 python2.3-subversion subversion-tools libsvn0-dev subversion
Architecture: source i386 all
Version: 0.37.0-2
Distribution: unstable
Urgency: low
Maintainer: David Kimdon <dwhedon@debian.org>
Changed-By: David Kimdon <dwhedon@debian.org>
Description: 
 libapache2-svn - Apache modules for Subversion
 libsvn0    - Subversion shared libraries
 libsvn0-dev - Subversion development files
 python2.3-subversion - Python modules for Subversion interface
 subversion - Advanced version control system
 subversion-tools - Tools for Subversion
Closes: 230744 230948 230955
Changes: 
 subversion (0.37.0-2) unstable; urgency=low
 .
   * Remove more references to Subversion being alpha (closes: #230744)
   * Fix up debian/build.sh so the source package has all necessary files.
     (closes: #230948)
   * It looks like all archs have built the new swig now, so try this build
     again (closes: #230955)
   * NEWS.Debian and README.Debian made references to subversion
     0.35.1-1 which was never uploaded.  Fix those references so they point
     to 0.37.0-1.
Files: 
 f840cfe1f78b99df073a5ed79c16fc4d 963 devel optional subversion_0.37.0-2.dsc
 c58980e2dbb2bc49941255f1e662aede 152866 devel optional subversion_0.37.0-2.diff.gz
 7f6e3a571bd4a47feac47b8e82f27eaf 91530 admin optional subversion-tools_0.37.0-2_all.deb
 fdb520bc59d951538381607d0a70c8ee 1245100 devel optional subversion_0.37.0-2_i386.deb
 56963763177af09c80ffe5aa81204cbd 334110 libs optional libsvn0_0.37.0-2_i386.deb
 c4c407c8477acce96753417fab9205bd 490284 libdevel optional libsvn0-dev_0.37.0-2_i386.deb
 bd6d3052130ba0a8f1e2a082cf40eb8d 53568 net optional libapache2-svn_0.37.0-2_i386.deb
 545b81bfed7491b3a2917351ed765094 721902 python optional python2.3-subversion_0.37.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAI+9ZST1m+6jv1gMRAox2AKCa8F3DnMn8mn1176TxMBdmMyC9JACcCjVS
bokupyiu3EJXPDFuOd8nnpI=
=OanH
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:54:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.